SplObjectStorage::addAll
SplObjectStorage::contains
SplObjectStorage
PHP Manual

# SplObjectStorage::attach

(PHP 5 >= 5.1.0)

SplObjectStorage::attach — Adds an object in the storage

### Description

public void SplObjectStorage::attach ( object `$object` [, mixed `$data` = `NULL` ] )

Adds an object inside the storage, and optionally associate it to some data.

### Parameters

`object`

  The object to add.

`data`

  The data to associate with the object.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::attach() example

`<?php
$o1 = new StdClass;
$o2 = new StdClass;
$s = new SplObjectStorage();
$s->attach($o1); // similar to $s[$o1] = NULL;
$s->attach($o2, "hello"); // similar to $s[$o2] = "hello";
var_dump($s[$o1]);
var_dump($s[$o2]);
?>`

The above example will output something similar to:

    NULL
    string(5) "hello"

### Changelog

Version | Description
--- | ---
5.3.0 | Added the `data` parameter.

### See Also

- SplObjectStorage::detach() - Removes an object from the storage
- SplObjectStorage::offsetSet() - Associates data to an object in the storage

SplObjectStorage::addAll
SplObjectStorage::contains
SplObjectStorage
PHP Manual